Page 2 of 5 FirstFirst 1234 ... LastLast
Results 11 to 20 of 45

Thread: Broadcom Drivers Broken in 22.04

  1. #11
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    Quote Originally Posted by chili555 View Post
    Please see and follow my answer here: https://askubuntu.com/questions/1330...ubuntu-20-04-2

    see thread replies above ^^^

    Lastly, I'm not sure why these are held back or if it matters:

    curt@talon:~$ apt list --upgradable
    Listing... Done
    gnome-initial-setup/jammy-updates 42.0.1-1ubuntu2.2 amd64 [upgradable from: 42.0.1-1ubuntu2]
    gnome-remote-desktop/jammy-updates 42.7-0ubuntu1 amd64 [upgradable from: 42.4-0ubuntu1]
    grub-efi-amd64-bin/jammy-updates 2.06-2ubuntu14 amd64 [upgradable from: 2.06-2ubuntu10]
    grub-efi-amd64-signed/jammy-updates 1.187.2+2.06-2ubuntu14 amd64 [upgradable from: 1.182~22.04.1+2.06-2ubuntu10]
    grub-efi-amd64/jammy-updates 2.06-2ubuntu14 amd64 [upgradable from: 2.06-2ubuntu10]
    python3-software-properties/jammy-updates,jammy-updates 0.99.22.5 all [upgradable from: 0.99.22.4]
    software-properties-common/jammy-updates,jammy-updates 0.99.22.5 all [upgradable from: 0.99.22.4]
    software-properties-gtk/jammy-updates,jammy-updates 0.99.22.5 all [upgradable from: 0.99.22.4]
    ubuntu-advantage-tools/jammy-updates 27.13.3~22.04.1 amd64 [upgradable from: 27.12~22.04.1]
    update-notifier-common/jammy-updates,jammy-updates 3.192.54.5 all [upgradable from: 3.192.54]
    update-notifier/jammy-updates 3.192.54.5 amd64 [upgradable from: 3.192.54]
    curt@talon:~$ sudo apt upgrade
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    Calculating upgrade... Done
    #
    # News about significant security updates, features and services will
    # appear here to raise awareness and perhaps tease /r/Linux
    # Use 'pro config set apt_news=false' to hide this and future APT news.
    #
    The following packages have been kept back:
    gnome-initial-setup gnome-remote-desktop grub-efi-amd64 grub-efi-amd64-bin grub-efi-amd64-signed python3-software-properties
    software-properties-common software-properties-gtk ubuntu-advantage-tools update-notifier update-notifier-common
    0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue? [Y/n] n
    Abort.

  2. #12
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    Quote Originally Posted by chili555 View Post
    Please reboot and then do:

    Code:
    sudo apt update
    sudo apt -y upgrade
    sudo apt autoremove
    sudo apt -y install build-essential
    sudo apt install --reinstall bcmwl-kernel-source
    Post the result if there is any error.

    Sorry for getting the thread out of order, just saw this. Anyway, did update, but bombed upgrade (step 2) here is transcript

    curt@talon:~$ sudo apt -y upgrade
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    Calculating upgrade... Done
    #
    # News about significant security updates, features and services will
    # appear here to raise awareness and perhaps tease /r/Linux
    # Use 'pro config set apt_news=false' to hide this and future APT news.
    #
    The following packages have been kept back:
    gnome-initial-setup gnome-remote-desktop grub-efi-amd64 grub-efi-amd64-bin
    grub-efi-amd64-signed python3-software-properties software-properties-common
    software-properties-gtk ubuntu-advantage-tools update-notifier
    update-notifier-common
    0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu8) ...
    Removing old bcmwl-6.30.223.271+bdcom DKMS files...
    Deleting module bcmwl-6.30.223.271+bdcom completely from the DKMS tree.
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-56-generic 5.15.0-60-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-56-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.c
    rash'
    Error! Bad return status for module build on kernel: 5.15.0-56-generic (x86_64)
    Consult /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/make.log for more information.
    dpkg: error processing package bcmwl-kernel-source (--configure):
    installed bcmwl-kernel-source package post-installation script subprocess returned erro
    r exit status 10
    Errors were encountered while processing:
    bcmwl-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  3. #13
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    removed the crash log and retried upgrade so it would regen the crash log:

    ===========

    ProblemType: Package
    DKMSBuildLog:
    DKMS make.log for bcmwl-6.30.223.271+bdcom for kernel 5.15.0-56-generic (x86_64)
    Fri Feb 10 01:17:44 PM MST 2023
    make: Entering directory '/usr/src/linux-headers-5.15.0-56-generic'

    ERROR: Kernel configuration is invalid.
    include/generated/autoconf.h or include/config/auto.conf are missing.
    Run 'make oldconfig && make prepare' on kernel src to fix it.

    make: *** [Makefile:750: include/config/auto.conf] Error 1
    make: Leaving directory '/usr/src/linux-headers-5.15.0-56-generic'
    DKMSKernelVersion: 5.15.0-56-generic
    Date: Fri Feb 10 13:17:45 2023
    Package: bcmwl-kernel-source 6.30.223.271+bdcom-0ubuntu8
    PackageVersion: 6.30.223.271+bdcom-0ubuntu8
    SourcePackage: bcmwl
    Title: bcmwl-kernel-source 6.30.223.271+bdcom-0ubuntu8: bcmwl kernel module failed to build

  4. #14
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    I've been running ubuntu for many versions on this machine. Wonder if there is something to these "held back" things??

    Attached Images Attached Images

  5. #15
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    26,047
    Distro
    Ubuntu Development Release

    Re: Broadcom Drivers Broken in 22.04

    We are going to fix this thing if it takes all night!!

    Code:
    sudo apt install --reinstall linux-headers-$(uname -r)
    sudo apt install --reinstall linux-headers-generic
    sudo apt -y upgrade
    Please post the result, reboot and then we'll proceed.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, B.Sc., M.Sc., M.A., Ph.D., Sc.D.

  6. #16
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    ok first one didn't work:

    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu8) ...
    Removing old bcmwl-6.30.223.271+bdcom DKMS files...
    Module bcmwl-6.30.223.271+bdcom for kernel 5.15.0-56-generic (x86_64).
    Before uninstall, this module version was ACTIVE on this kernel.


    wl.ko:
    - Uninstallation
    - Deleting from: /lib/modules/5.15.0-56-generic/updates/dkms/
    - Original module
    - No original module was found for this module on this kernel.
    - Use the dkms install command to reinstall any previous module version.


    depmod...
    Deleting module bcmwl-6.30.223.271+bdcom completely from the DKMS tree.
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-56-generic 5.15.0-60-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-56-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.c
    rash'
    Error! Bad return status for module build on kernel: 5.15.0-56-generic (x86_64)
    Consult /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/make.log for more information.
    dpkg: error processing package bcmwl-kernel-source (--configure):
    installed bcmwl-kernel-source package post-installation script subprocess returned erro
    r exit status 10
    Errors were encountered while processing:
    bcmwl-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    =========
    neither did the 2nd idea
    ===========
    Unpacking linux-headers-generic (5.15.0.60.58) over (5.15.0.60.58) ...
    Setting up linux-headers-generic (5.15.0.60.58) ...
    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu8) ...
    Removing old bcmwl-6.30.223.271+bdcom DKMS files...
    Deleting module bcmwl-6.30.223.271+bdcom completely from the DKMS tree.
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-56-generic 5.15.0-60-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-56-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.c
    rash'
    Error! Bad return status for module build on kernel: 5.15.0-56-generic (x86_64)
    Consult /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/make.log for more information.
    dpkg: error processing package bcmwl-kernel-source (--configure):
    installed bcmwl-kernel-source package post-installation script subprocess returned erro
    r exit status 10
    Errors were encountered while processing:
    bcmwl-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    ===========
    here's the third output, then I'll reboot

    Unpacking linux-headers-generic (5.15.0.60.58) over (5.15.0.60.58) ...
    Setting up linux-headers-generic (5.15.0.60.58) ...
    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu8) ...
    Removing old bcmwl-6.30.223.271+bdcom DKMS files...
    Deleting module bcmwl-6.30.223.271+bdcom completely from the DKMS tree.
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-56-generic 5.15.0-60-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-56-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.c
    rash'
    Error! Bad return status for module build on kernel: 5.15.0-56-generic (x86_64)
    Consult /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/make.log for more information.
    dpkg: error processing package bcmwl-kernel-source (--configure):
    installed bcmwl-kernel-source package post-installation script subprocess returned erro
    r exit status 10
    Errors were encountered while processing:
    bcmwl-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    ========
    rebooting, will be back

  7. #17
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    rebooted and retried upgrade - same failure

  8. #18
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    26,047
    Distro
    Ubuntu Development Release

    Re: Broadcom Drivers Broken in 22.04

    Ahhhh haaaa! I think I've got it!! Please see:

    Unpacking linux-headers-generic (5.15.0.60.58) over (5.15.0.60.58) ...
    Setting up linux-headers-generic (5.15.0.60.58) ...
    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu8) ...
    Removing old bcmwl-6.30.223.271+bdcom DKMS files...
    Deleting module bcmwl-6.30.223.271+bdcom completely from the DKMS tree.
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-56-generic 5.15.0-60-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-56-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.c
    rash'
    Error! Bad return status for module build on kernel: 5.15.0-56-generic (x86_64)
    The module is being built for both of the kernel versions on your system; 5.15.0-56 and 5.15.0-60. The build fails for -56 although you are booted into -60. The build fails, writes a crash log and quits.

    Reboot. Please interrupt the boot process to get the GRUB menu to boot into an earlier kernel version, namely -56. https://www.pcsuggest.com/enter-grub...ubuntu-system/ While booted into -56, please ONLY do:

    Code:
    sudo apt install --reinstall linux-headers-$(uname -r)
    sudo apt install --reinstall linux-headers-generic
    Do NOT try to install anything else. If all goes without error, reboot normally and try again:

    Code:
    sudo apt install --reinstall bcmwl-kernel-source
    STOP and post the result.
    Last edited by chili555; February 10th, 2023 at 10:53 PM.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, B.Sc., M.Sc., M.A., Ph.D., Sc.D.

  9. #19
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    ok meanwhile I did try to boot into an old kernel and it failed b/c couldn't find it ... I'll take some photos and come back. I think this was the only 5.15.x but let me see ...

  10. #20
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    I have a feeling we're getting somewhere. I only have 5.15.0-56 and 5.15.0-47 (which doesn't exist). See images below.

    Attached Images Attached Images

Page 2 of 5 FirstFirst 1234 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •